#!/usr/bin/perl 

# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

require "utility.pl";
Header("","$siteName: Help","register");
print qq[
<br>
<table border=0 width=$bodyWidth cellpadding=2 cellspacing=2>
<tr $s_loc_bar_bgcolor>
<td colspan=2>$s_loc_bar_font_s &nbsp; Help </td></tr>
<tr><td width=5>&nbsp;</td><td>
$f

<ul>
<li><b>General</b>
<ul>
- <a href="#general_1">What does this site do?</a>
<br>- <a href="#general_2">Are the books listed for the courses accurate?</a>
</ul>

<br>
<li><b>Searching</b>
<ul>
- <a href="#search_1">How do I search?</a>
<br>- <a href="#search_2">What do the geographic tags (city, state, country) mean?</a>
<br>- <a href="#search_3">I want to purchase a book, how do I contact the person selling it?</a>
</ul>

<br>
<li><b>Adding/Editing/Removing Books</b>
<ul>
- <a href="#books_1">How do I add a book?</a>
<br>- <a href="#books_2">How do I edit or remove a previously posted book?</a>
</ul>

<br>
<li><b>Advertise</b>
<ul>
- <a href="#advertise_1">What is the "Advertise" function?</a>
<br>- <a href="#advertise_2">How do I advertise to my friends?</a>
</ul>

<br>
<li><b>Bookwatch</b>
<ul>
- <a href="#bookwatch_1">What is the bookwatch?<?a>
<br>- <a href="#bookwatch_2">How do I enable bookwatch?</a>
<br>- <a href="#bookwatch_3">How do I remove a bookwatch I previously set?</a>
</ul>

<br>
<li><b>Account</b>
<ul>
- <a href="#account_1">How do I obtain an account?</a>
<br>- <a href="#account_2">I forgot my password, how do I get it back?</a>
<br>- <a href="#account_3">How can I change my password / name / email / etc?</a>
</ul>
</ul>
<hr width=100%>
<br>
<br>
<ul>
<li><b><font size=+0>General</font></b>
<ul>
<a name="general_1">
- <b>What does this site do?</b>
<br> $siteName allows you to buy and sell used textbooks. You can post
your used books here and allow other users to contact you and vice versa. 
<br>
<br> There are a few intriguing features that you should take advantage to
help you buy/sell your book faster. 
<br> * self-advertise: $siteName will automatically create email & flyers 
that would include ALL the books you have listed. You can then email or hand
those flyers out to your friends & classmates.
<br> * bookwatch: Set up automated search agents for books you are looking for.
 When books matching your criteria becomes available you will automatically be emailed. 
<br>
<a name="general_2">
<br>- <b>Are the books listed for the courses accurate?</b>
<br> The books listed here under courses are indicative and are entered 
by users, students in your location. We do NOT and cannot verify all the
course-book information and thus, you should check to make sure the books
available are appropriate for the class you are taking.
</ul>

<br>
<li><b><font size=+0>Searching</font></b>
<ul>
<a name="#search_1">
- <b>How do I search?</b>
<br>Two ways, there is a search bar on every page, and a dedicated page for 
searching by clicking the "Search" tab.
<br>You can search by 
<br>* Course
<br>* Title
<br>* Author
<br>* ISBN (10-digit # for all books, in the back cover)
<br>* Username (the username of a particular user on the system)
<br>
<br> Enter your search term, then click "Go".
<br>
<a name="#search_2">
<br>- <b>What do the geographic tags (city, state, nation, global) mean?</b>
<br>The geographic tags indicate where the users are based. Local users are 
local to your current location & system. City, State, Nation, Global users are
in their respective locations & in possibly a <i>different</i> system. 
<br>
<a name="#search_3">
<br>- <b>I want to purchase a book, how do I contact the person selling it?</b>
<br> After you have selected the book your wish to purchase, you will be 
presented with a contact form. You can either,
<br> * contact the person through the form, which will email the seller.
<br> * or if the seller provided extra information, either
	    <br> &nbsp;&nbsp; ** IM the person or 
	    <br> &nbsp;&nbsp; ** Give the person a telephone call
<br>
<br> NOTE: if you are purchasing a book from a users NOT local, then be 
sure to take precautions in purchasing from people you've never
seen. Most transactions are done without incident. However, you must be 
careful. For additional safety, use the COD service your local post-office
provides.
</ul>

<br>
<li><b><font size=+0>Adding/Editing/Removing Books</font></b>
<ul>
<a name="#books_1">
- <b>How do I sell/add a book?</b>
<br>Click on the "Sell" tab and proceed with the on-screen instructions.
<br>
<a name="#books_2">
<br>- <b>How do I edit or remove a previously posted book?</b>
<br>Go to the "Inventory" section and click on the appropriate link (edit/remove)
</ul>

<br>
<li><b><font size=+0>Advertise</font></b>
<ul>
<a name="#advertise_1">
- <b>What is the "Advertise" function?</b>
<br>The advertise capability allows you to self-advertise your books to your
friends & classmates. This helps you sell your books faster. The advertise 
capability automatically creates an email or flyer containing books you are
 selling for you to distribute. 
<br>
<a name="#advertise_2">
<br>- <b>How do I advertise to my friends?</b>
<br>Click on the "Advertise" tab and select the appropriate option. Email 
advertising creates an email that you can send to your friends. This is the 
easiest option. Flyer advertising create flyer(s) that you can post or 
handout. Both ways help increase the chance you can sell your textbooks.
</ul>

<br>
<li><b><font size=+0>Bookwatch</font></b>
<ul>
<a name="#bookwatch_1">
- <b>What is the bookwatch?</b>
<br>The bookwatch is an automatic agent that searches for you. You can
enter your search criteria and when a book matching that criteria becomes 
available, you will be sent an email. The email is sent once a day only when
a new book becomes available.
<br>
<a name="#bookwatch_2">
<br>- <b>How do I enable bookwatch?</b>
<br>Go to the "Bookwatch" area and enter a search criteria on the right.
<br>
<a name="#bookwatch_3">
<br>- <b>How do I remove a bookwatch I previously set?</b>
<br>From within the Bookwatch area, click on "Remove" at the appropriate
bookwatch you wish to disable.
</ul>

<br>
<li><b><font size=+0>Account</font></b>
<ul>
<a name="#account_1">
- <b>How do I obtain an account?</b>
<br>Just register. Click on the "Register" tab and fill in the form. You will
automatically be given an account and can proceed to add books to the system.
<br>
<a name="#account_2">
<br>- <b>I forgot my password, how do I get it back?</b>
<br>Click on the "forgot password?" link in the front page located below 
the log-in box. Enter your email address you used to register and your 
password will be sent to you.
<br>
<a name="#account_3">
<br>- <b>How can I change my password / name / email / etc? </b>
<br>Go to the "Account" section and update the information there as 
you see fit. Click on the appropriate buttons to update your account.
<br>
</ul>

</td>
</tr>
</table>

];
Footer();


