#!/usr/bin/perl

# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

my $thisCGI="index.cgi";
require "utility.pl";
GetCookieData();
my ($sessionKey) = $cookieData{'key'};

if ($sessionKey){
    RegisteredUserPage();
} else {
    PublicUserPage();
}


sub RegisteredUserPage{
    $userId = CheckLogin($thisCGI);
    Header("","User Homepage","home");
    # get the user's name, email and tel #
    ($firstname, $lastname, $email, $telephone, $imType, $imIdentity,$zipCode, $username)=GetAllUserInfoByUserId($userId);
    
    # get the number of books the user has
    $numItems = GetNumItemInventoryByUserId($userId);

    # get the number of search agents the user has
    $numSearch = GetNumSearchesByUserId($userId);

    if ($zipCode ne ""){$zipCodeText = "<br>$zipCode";}
    if ($telephone ne ""){$telephoneText = "<br>$telephone";}
    if ($imIdentity ne ""){$imText = qq[<br>$imSet{$imType} : $imIdentity];}
    
    print qq[<br>
<table border=0 width=$bodyWidth cellpadding=2 cellspacing=2>
<tr $s_loc_bar_bgcolor>
<td colspan=2>$s_loc_bar_font_s &nbsp;
<b> Welcome $firstname $lastname!</b> 
</td></tr>
</table>

<table border=0 cellpadding=2 cellspacing=2 width=$bodyWidth>
<tr><td>$f
<br>
You currently have <b>$numItems book(s)</b> listed in the system. 
<br>
<b><a href="sellitem.cgi">List a new book</a> / <a href="inventory.cgi">Edit existing inventory</a> / <a href="advertise.cgi">Advertise your books</a></b>
<br>
<br>You have <b>$numSearch BookWatch(s)</b> running.
<br>
<b><a href="itemwatch.cgi">Add-Edit watch items</a></b>
<br>

<br>This is your current information as stored.
<br>
<b><br>$firstname $lastname
<br>$email
$telephoneText
$imText
$zipCodeText
</b>
<br>
<br><b><a href="account.cgi">Edit account</a></b>
<br>
<br><b><a href="logout.cgi">Log Out</a></b>
</td></tr></table>

	     ];
    Footer();
}

sub PublicUserPage{
    Header("","TextSwap","home");
    
    my $numBooks = GetTotalNumItemInventory();

    my ($numSystemUsers, $numSystemBooks, $numSystemSearch, 
	$numSystemWanted, $numSystemContacts,
	$numLocalUsers, $numLocalBooks, $numLocalSearch, 
	$numLocalWanted, $numLocalContacts) = GetStatistics();

    print qq[<br><table border=0 cellpadding=0 cellspacing=0 width=$bodyWidth><tr><td width=180 valign=top>

<!-- Login Box -->
<table border=0 cellpadding=1 cellspacing=0 $s_loc_bar_bgcolor width=180><tr><td>
<table border=0 cellpadding=0 cellspacing=0 width=178>
<tr>
<td width=8></td>
<td>&nbsp; $s_loc_bar_font_s Registered Users $s_loc_bar_font_e </td>
<td width=8></td>
</tr>
<form method=post action="login.cgi">
<tr bgcolor=#ffffff>
<td width=8>&nbsp;</td>
<td align=right bgcolor=#ffffff>
<input type=hidden name=op value="login">
$f Username:$fe<input type=text name=username size=10><br>
$f Password:$fe<input type=password name=password size=10><br>
<input type=image src="$relImgDir/login.gif" alt="login" border=0><br>
$f<font size=1><a href="forgotten.cgi">Forgot password?</a>
<br>Unregistered? <a href="register.cgi">Register now!</a></font>
</td>
<td width=8>&nbsp;</td>
</tr>
<tr bgcolor=#ffffff><td colspan=3 height=3><img height=3 width=1 border=0 src="$relImgDir/pix.gif"></td></tr>
</form></table>
</td></tr></table>
<!-- End Login Box -->

<!-- Inter Box Spacing -->
<table border=0 width=178 cellpadding=2 cellspacing=0 bgcolor="#ffffff">
<tr><td colspan=3 height=10>&nbsp;</td></tr>
</table>
<!-- End Inter Box Spacing -->

<!-- New User Come Register! -->
<table border=0 cellpadding=1 cellspacing=0 $s_loc_bar_bgcolor><tr><td>
<table border=0 cellpadding=0 cellspacing=0 width=178>
<tr>
<td width=8></td>
<td>&nbsp; $s_loc_bar_font_s New Users $s_loc_bar_font_e </td>
<td width=8></td>
</tr>

<tr bgcolor=#ffffff>
<td width=8>&nbsp;</td>
<td>$f A TextSwap account will give you the power to:
<li>List your books
<li>Create BookWatch\'s
<li>Advertise used books
<li>Update your account
</td>
<td width=8>&nbsp;</td>
</tr>

<tr bgcolor=#ffffff>
<td width=8>&nbsp;</td>
<td align=right><a href="register.cgi"><img src="$relImgDir/sign_up.gif" border=0></a></td>
<td width=8>&nbsp;</td>
</tr>
</table>
<tr bgcolor=#ffffff><td colspan=3 height=3><img height=3 width=1 border=0 src="$relImgDir/pix.gif" ></td></tr>
</td></tr></table>

<!-- Inter Box Spacing -->
<table border=0 width=178 cellpadding=2 cellspacing=0 bgcolor="#ffffff">
<tr><td colspan=3 height=10>&nbsp;</td></tr>
</table>
<!-- End Inter Box Spacing -->

<!-- Statistics -->
<table border=0 cellpadding=1 cellspacing=0 $s_loc_bar_bgcolor><tr><td>
<table border=0 cellpadding=0 cellspacing=0 width=178>
<tr>
<td width=8></td>
<td>&nbsp; $s_loc_bar_font_s Current Statistics $s_loc_bar_font_e </td>
<td width=8></td>
</tr>

<tr bgcolor=#ffffff>
<td width=8>&nbsp;</td>
<td>$f 
# books: $numLocalBooks ($numSystemBooks)
<br># users: $numLocalUsers ($numSystemUsers)
<br># searches: $numLocalSearch ($numSystemSearch)
<br># wanted: $numLocalWanted ($numSystemWanted)
<br># contacts: $numLocalContacts ($numSystemContacts)
<br><font size=1>stat : locally (systemwide)</font>
</td>
<td width=8>&nbsp;</td>
</tr>
<tr bgcolor=#ffffff><td colspan=3 height=3><img height=3 width=1 border=0 src="$relImgDir/pix.gif"></td></tr>
</table>
</td></tr></table>
<!-- End Statistics -->
	     ];

    print qq[</td><td valign=top width=432>];

    print qq[<table border=0 cellpadding=0 cellspacing=0><tr><td>&nbsp;&nbsp;</td><td valign=top>];
    print qq[$f
<b>Hello!</b> Textswap is a user-to-user book exchange system. 
Anyone can easily search through the listings via title, author, isbn AND by course. As a registered user, you can list books to sell as well as keep a bookwatch, a watch list that automatically notifies you when a book you want becomes available. <a href="register.cgi">Sign up now!</a>
	     
	     <br><br>
	     <b>Looking for textbooks?</b> You may start searching by entering the title, author, ISBN or course number in the above bar. Additionally, you can also search by a particular username.

	     <br><br>
	     <b>Selling your textbooks?</b> <a href="register.cgi">Register</a> and then proceed to <a href="sellitem.cgi">list</a> your books. After listing, use the <a href="advertise.cgi">advertise</a> feature to create emails or flyers to help sell your book faster.
	
	     <br><br>
	     <b>Moved?</b> Update your personal info in <a href="account.cgi">Account</a>
	     
	     <br><br>
	     <b>Can't find the book?</b> Set up a <a href="itemwatch.cgi">BookWatch</a> which will automatically email you when the book you want becomes available.

	     ];

    print qq[</td></tr></table>];

    print qq[</td></tr></table>];


    Footer();
}



