#!/usr/bin/perl 

# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

my $thisCGI="itemwatch.cgi";
require "utility.pl";
my $userId = CheckLogin($thisCGI);

Header("","BookWatch","itemwatch");

&ReadFormData;	
$op = $formData{'op'};
if ($op eq "additemwatch"){AddItemWatch();}
elsif ($op eq "removeitemwatch") {RemoveItemWatch();}
else {ShowWatchItems();}
Footer();

sub AddItemWatch{
    $searchType = $formData{'searchtype'};
    $searchTerm = $formData{'searchterm'};

    if ($searchTerm eq "" || $searchType eq ""){
	print qq[<br><center><b>$f Please enter a search query </b> </center>];}
    else {
	($sth,$rv) = QueryDB("INSERT INTO item_watch (user_id, item_type, search_type, search_term) VALUES ('$userId','book','$searchType','$searchTerm')","",$debug);
    }
    ShowWatchItems();
}

sub RemoveItemWatch{
    $itemWatchId = $formData{'itemwatchid'};

    ($sth,$rv) = QueryDB("DELETE FROM item_watch WHERE item_watch_id = '$itemWatchId' AND user_id = '$userId'","",$debug);
    ShowWatchItems();

}

sub ShowWatchItems{
	print qq[
<br>
<table border=0 cellpadding=2 cellspacing=2 width=$bodyWidth>
<tr><td colspan=2 $s_loc_bar_bgcolor>$s_loc_bar_font_s &nbsp; Your BookWatch List</td></tr>
</table>
<table border=0 cellpadding=0 cellspacing=0 width=$bodyWidth>
<tr><td valign=top width=430>
		 ];

    # ($wanted_table) = GetAllWantedItemsByUserId($userId);
    ($sth,$rv) = QueryDB("SELECT item_watch_id, search_type, search_term FROM item_watch WHERE user_id = '$userId' ORDER BY search_type, search_term","",$debug);
    
    $wanted_table = $sth->fetchall_arrayref;
    if ($#{$wanted_table} != -1 ){
print qq[
<table cellpadding=2 cellspacing=2 width=400>
<tr $s_header_bgcolor>
<td>$s_header_font_s Search Type</td>
<td>$s_header_font_s Title / Author / ISBN# / Course </td>
<td>$s_header_font_s Options</td></tr>
		 ];
	my($i);	
	for $i ( 0 .. $#{$wanted_table} ) {
	    $lineCount = $i;
	    if ($lineCount%2){$alt_bgcolor="bgcolor=#dddddd";} 
	    else {$alt_bgcolor="";}	    
	    $searchType = $bookEquiv{$wanted_table->[$i][1]};
	    print qq[<tr $alt_bgcolor><td>$f $searchType</td><td>$f $wanted_table->[$i][2]</td><td>$f <a href="$thisCGI?op=removeitemwatch&itemwatchid=$wanted_table->[$i][0]">Remove</a></td></tr>];
	}
	print qq[</table>];
	
    } else {
	print qq[<center><b>$f No current book watch. </b></center>];
    }
    
    
print qq[</td><td valign=top align=right width=190>];


    my $courseTable = GetCourseList();
    my($i, $courseOptions);
    for $i ( 0 .. $#{$courseTable} ){
	$currentCourse = $courseTable->[$i][0];
	if ($currentCourse ne ""){
	    if ($course ne "" && $currentCourse =~ /$course/i){
		$selected="selected";} else {$selected="";}
	    $courseOptions .= "<option$selected>$currentCourse";
	}
   }

    print qq[
<table border=0 cellpadding=2 cellspacing=0><tr><td>

<table width=180 border=0 cellpadding=0 cellspacing=1 $s_header_bgcolor><tr><td>
<table border=0 cellpadding=2 cellspacing=0 bgcolor=#ffffff width=100%>

<form method=post action="$thisCGI">
<tr $s_header_bgcolor><td>$s_header_font_s Add a BookWatch </td></tr>
<tr $s_inside_field_bgcolor>
<td valign=top>
<input type=hidden name=op value="additemwatch">
<select name=searchtype>
<option value="title">BookWatch by Title</option>
<option value="aux1">BookWatch by Author</option>
<option value="itemid">BookWatch by ISBN #</option>
<option value="course">BookWatch by Course</option>

</select><br>
<input type=text name=searchterm size=17>
<input align=absmiddle type=image src="$relImgDir/go1.gif" border=0>
</td></tr>
</form>

<form method=post action="$thisCGI">
<tr $s_header_bgcolor><td>$s_header_font_s Add by Course </td></tr>
<tr $s_inside_field_bgcolor><td valign=top>$f 
<input type=hidden name=op value="additemwatch">
<input type=hidden name=searchtype value="course">
<select name=searchterm>$courseOptions</select>
<input align=absmiddle type=image src="$relImgDir/go1.gif" border=0>
</td></tr>
</form>




</table>
</td></tr></table>

</td></tr></table>

];
print qq[</td></tr></table>];


}





