#!/usr/bin/perl

# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

my $thisCGI="sync.cgi";
require "utility.pl";
ReadFormData();

print qq[Content-type: text/plain\n\n];
$q=$formData{'q'};
$username = $formData{'u'};
$password = $formData{'p'};

# make sure that no one else can get in
if (!($username eq $cdb_username && $password eq $cdb_password)){
    print qq[Error|Username/Password not found];
    exit;
}

# print out the data
print qq[<version>sync 1.0</version>\n];

# summarize the statistics
UpdateStatistics();
$statement = qq[SELECT stat_sum, created FROM stat_summary ORDER BY created DESC LIMIT 1];
($sth,$rv) = QueryDB($statement,"",$debug);    
($statSummaryString, $created) = $sth->fetchrow;
print qq[<stat>$statSummaryString</stat>\n];

# get the inventory data
$statement = qq[SELECT II.item_inventory_id, II.item_info_id, II.item_type, II.item_id, UI.username, II.title, II.aux_1, II.aux_2, II.condition, II.comments, II.ask_price, II.updated FROM item_inventory II, user_info UI WHERE II.user_id = UI.user_id];
($sth,$rv) = QueryDB($statement,"",$debug);

print qq[<item_inventory_data_format>|itemInventoryId|itemInfoId|itemType|itemId|sellerUsername|title|aux_1|aux_2|condition|comments|askPrice|updated|</item_inventory_data_format>\n];
print qq[<item_inventory_num_rows>$rv</item_inventory_num_rows>\n<item_inventory_data>\n];

while (@rowData = $sth->fetchrow_array){
    ($itemInventoryId, $itemInfoId, $itemType, $itemId, $sellerUsername, $title, $aux1, $aux2, $condition, $comments, $askPrice, $updated) = @rowData; 
    # strip the \n from the lines.
    StripSlashN($itemInventoryId, $itemInfoId, $itemType, $itemId, $sellerUsername, $title, $aux1, $aux2, $condition, $comments, $askPrice, $updated);
    my $singleData =  qq[$itemInventoryId|$itemInfoId|$itemType|$itemId|$sellerUsername|$title|$aux1|$aux2|$condition|$comments|$askPrice|$updated|];    
    print qq[$singleData\n];
}
print "</item_inventory_data>\n";

# if autoNotify is set, call notify.cgi
if ($remoteNotifyActivation){exec("$notifyCGI $cdb_username $cdb_password");}



