# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

# database_util.pl
# Contains common functions used to access the database

# Start up the database
sub StartDB{
    require DBI;
    $dbh = DBI->connect("dbi:mysql:database=$dbDatabase:host=$dbHostName:$dbPort", $dbUsername, $dbPassword) or die "Can't connect to the database: $dbh->errstr";
    if (!$dbh){
	die qq[Fatal Error: Cannot connect to database], timenow();
    } 
}

# Queries the database
sub QueryDB{
    my($statement,$debugline,$debug)=@_;
    # print qq[Content-type: text/html\n\n <br> $statement];
    if ($dbh){}else{StartDB();}
    my($sth) = $dbh->prepare($statement);
    my($rv)  = $sth->execute() or die "can't execute the query: $sth->errstr";
    if ($debug){print qq[\n$debugline ($rv) = $statement \n]};
    return ($sth,$rv);
}

# Cleans the data entered.
sub CData{
    for $i (0 .. $#_){
	$_[$i] =~ s/\'/\\\'/g;
	$_[$i] =~ s/\n/\|n\|/g;
    }
}
1;


